/*
 *
 * Beschreibung
 *
 * @version 1.0 vom 31.05.2022
 * @author Gerhard Röhner
 */

public class BlockChain {
  
  // Anfang Attribute
  private Block[] Blöcke;
  private int AnzahlBlöcke;
  // Ende Attribute
  
  public BlockChain(int Anzahl) {
    this.Blöcke = new Block[Anzahl];
    this.AnzahlBlöcke = 0;
  }

  // Anfang Methoden
  public int getAnzahlBlöcke() {
    return AnzahlBlöcke;
  }

  public void setAnzahlBlöcke(int AnzahlBlöckeNeu) {
    AnzahlBlöcke = AnzahlBlöckeNeu;
  }
  
  public void NeuerBlock(int Nr, int Nonce, String VorgängerHash, String Daten) {
    if (AnzahlBlöcke < Blöcke.length) {
      Blöcke[AnzahlBlöcke] = new Block(Nr, Nonce, VorgängerHash, Daten);
      AnzahlBlöcke++;
    } else
      System.out.println("Blockarray ist voll!");
  }
  
  public Block getBlock(int Nr) {
    return Blöcke[Nr-1];
  }
    

  // Ende Methoden
} // end of BlockChain
